Package org.drinkless.tdlib

# Class TdApi.ProductInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProductInfo

Enclosing class:
  `TdApi`

public static class TdApi.ProductInfo extends TdApi.Object
Contains information about a product that can be paid with invoice.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `description`
  Product description.
  `TdApi.Photo`
  `photo`
  Product photo; may be null.
  `String`
  `title`
  Product title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductInfo()`
  Contains information about a product that can be paid with invoice.
  `ProductInfo(String title, TdApi.FormattedText description, TdApi.Photo photo)`
  Contains information about a product that can be paid with invoice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Product title.

  - ### description

    public TdApi.FormattedText description
    Product description.

  - ### photo

    @Nullable public TdApi.Photo photo
    Product photo; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProductInfo

    public ProductInfo()
    Contains information about a product that can be paid with invoice.

  - ### ProductInfo

    public ProductInfo(String title, TdApi.FormattedText description, TdApi.Photo photo)
    Contains information about a product that can be paid with invoice.
    Parameters:
      `title` - Product title.
      `description` - Product description.
      `photo` - Product photo; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR